Module java.desktop
Package javax.swing.plaf.basic

## Class BasicFileChooserUI.SelectionListener

- java.lang.Object
- - javax.swing.plaf.basic.BasicFileChooserUI.SelectionListener

All Implemented Interfaces:
  EventListener, ListSelectionListener

Enclosing class:
  BasicFileChooserUI

    protected class BasicFileChooserUI.SelectionListener
    extends Object
    implements ListSelectionListener

A selection listener.

### Constructor Summary

Constructors
`protected` `SelectionListener()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `valueChanged(ListSelectionEvent e)` Called whenever the value of the selection changes.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SelectionListener

    protected SelectionListener()

### Method Detail

#### valueChanged

    public void valueChanged(ListSelectionEvent e)

Called whenever the value of the selection changes.

Specified by:
  `valueChanged` in interface `ListSelectionListener`
Parameters:
  `e` - the event that characterizes the change.